@extends('layouts.main')

@section('body')

<style type="text/css">
.parsley-errors-list { 
list-style-type: none
}

.parsley-custom-error-message  {
color: red;
margin-top: 5px;
/* margin-left: -40px; */
}


input.parsley-success,
       select.parsley-success,
       textarea.parsley-success {
         color: #468847;
         background-color: #DFF0D8;
         border: 1px solid #D6E9C6;
       }

       input.parsley-error,
       select.parsley-error,
       textarea.parsley-error {
         color: #B94A48;
         background-color: #F2DEDE;
         border: 1px solid #EED3D7;
       }

       .parsley-errors-list {
         margin: 2px 0 3px;
         padding: 0;
         list-style-type: none;
         font-size: 0.9em;
         line-height: 0.9em;
         opacity: 0;

         transition: all .3s ease-in;
         -o-transition: all .3s ease-in;
         -moz-transition: all .3s ease-in;
         -webkit-transition: all .3s ease-in;
       }

       .parsley-errors-list.filled {
         opacity: 1;
       }

.parsley-type,
       .parsley-required,
       .parsley-equalto,
       .parsley-pattern,
       .parsley-urlstrict,
       .parsley-length,
       .parsley-checkemail{
        color:#ff0000;
       }
/* .toast-success{
 background :#006600;
} */

    .toast-success{background: #006600;}
    .toast-error{background: red;}
    .toast-warning{background: coral;}
    .toast-info{background: cornflowerblue;}
    .toast-question{background: grey;}
</style>



<div class="body flex-grow-1 px-3">
    <div class="container-lg">


            <div class="card mb-4">
                <div class="card-header"><strong>Invoices</strong><span class="small ms-1">Database</span></div>
                <div class="card-body">
                <a href="{{ route('invoices.create') }}" style="float: right;" class="btn btn-xs btn-success float-right ">Create Invoice</a>
                <!-- <a target="_blank" href="https://wa.link/gw7x5x" style="float: right; margin-right: 20px;" class="btn btn-xs btn-success float-right ">Whatsapp</a> -->
</br>
                <div class="example">
                    <div class="tab-content rounded-bottom">
                        <div class="tab-pane p-3 active preview" role="tabpanel" id="preview-1000">
                            
                            <table id="invoices" class="table table-bordered table-condensed table-striped">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Customer ID</th>
                                        <th>Invoice Date</th>
                                        <th>Invoice Number</th>
                                        <th>Total Value</th>
                                        <th>Generated By</th>
                                        <!-- <th>Zipcode</th> -->
                                        <th width="120px">Action</th>
                                    </tr>
                                </thead>

                            </table>
                        </div>
                    </div>
                </div>
                </div>
            </div>

       
<div id="view_invoice_body">

</div>

           
            <link href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css" rel="stylesheet">
            <script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" ></script>
            <!--js code here-->
            <script>

           

                $(document).ready(function() {
                    $.noConflict();
                    var token = ''
                    var modal = $('.modal')
                    var form = $('.form')
                    var btnAdd = $('.add'),
                        btnSave = $('.btn-save'),
                        btnUpdate = $('.btn-update');
                    
                    var table = $('#invoices').DataTable({
                            ajax: "{{ route('invoices.index') }}",
                            serverSide: true,
                            processing: true,
                            aaSorting:[[0,"asc"]],
                            columns: [
                                {data: 'id', name: 'id'},
                                {data: 'first_name', name: 'first_name'},
                                {data: 'invoice_date', name: 'invoice_date'},
                                {data: 'invoice_number', name: 'invoice_number'},
                                {data: 'total_value', name: 'total_value'},
                                {data: 'created_at', name: 'created_at'},
                                // {data: 'zipcode', name: 'zipcode'},
                                {data: 'action', name: 'action'},
                            ],
                            "fnRowCallback" : function(nRow, aData, iDisplayIndex){
                                $("td:first", nRow).html(iDisplayIndex +1);
                            return nRow;
                            },
                        });

                       


                
                
                    // $(document).on('click','.btn-view',function(){
                    //     var rowid = $(this).data('rowid')
                    //     console.log(rowid);
                    //     //console.log("hii");
                    //     $.ajax({
                    //         url: "{{route('view')}}",
                    //         method: 'post',
                    //         datatype: 'html',
                    //         data: {rowid,
                    //             _token: "{{ csrf_token() }}"
                    //         },
                    //         success: function(data) {
                    //             //console.log("hii1");
                    //             //location.href ="{{ route('viewpage') }}";
                    //             $('#view_invoice_body').append(data);
                    //             // if(response(data)){
                                    
                    //             //     console.log("hii1");
                    //             // }
                    //              //response(data);
                    //         // $('#view-modal').modal('show');
                    //         }
                    //         });
                     
                    // })

                   

                   
                })
            </script>

            <script type="text/javascript">
            

                // Toast Type
                    $('#success').click(function(event) {
                        toastr.success('Record Added Successfully');
                    });
                    $('#info').click(function(event) {
                        toastr.info('You clicked Info toast')
                    });
                    $('#error').click(function(event) {
                        toastr.error('You clicked Error Toast')
                    });
                    $('#warning').click(function(event) {
                        toastr.warning('You clicked Warning Toast')
                    });

                // Toast Image and Progress Bar
                    $('#image').click(function(event) {
                        toastr.options.progressBar = true,
                        toastr.info('<img src="https://image.flaticon.com/icons/svg/34/34579.svg" style="width:150px;">', 'Toast Image')
                    });


                // Toast Position
                    $('#position').click(function(event) {
                        var pos = $('input[name=position]:checked', '#positionForm').val();
                        toastr.options.positionClass = "toast-" + pos;
                        toastr.options.preventDuplicates = false;
                        toastr.info('This sample position', 'Toast Position')
                    });
            </script>
    </div>
</div>




@endsection